# hazama-lib
Library for Hazama base platform

## Installation
To install the hazama-lib npm module, open a terminal window in your project folder and run:
```bash
$ npm install hazama-lib
```

## Usage
After package is downloaded and installed, you're ready to import it in your code:

```
import hazlib from hazama-lib

...
const network = 'polygon'
const privateKey = 'dummy'
const metadata = {
    name: "My bundle"
}

const contractAddress = hazlib.deployBundle({ network, privateKey, metadata })
...
```

<!-- ## Documents generation
 - Excute command
     ```bash
     $ npm run generate-docs
     ```
 - Open `index.html` file in `~/hazama-lib/docs` folder -->